/*--------------------------------------------------------------------------*/
//
// \file    lepto.h
// \brief   general stuff
//
//          Puffpaff
//
/*--------------------------------------------------------------------------*/


#include <lepto/lepto.h>

#if 0
/// \brief  Giving the possibility to "throw" an exception
///
///         In fact nothing happens.
///         Libraries may link functions here to actually print the error
///         message.
void exception(const char* message, int i1)
{

   #ifndef MCU_REV
      // kill() does not work very well
      throw(message, i1);
   #endif

   asm("bkpt 255;\n");
   while(1)
   {
      /// just hanging around, im dead...
   }
}
#endif

/// \brief  Giving the possibility to "throw" an exception
///
///         In fact nothing happens.
///         Libraries may link functions here to actually print the error
///         message.
/*
void exception(const char* message, int i1)
{
   while(1)
   {
      asm("nop;\n");
      /// just hanging around, im dead...
   }
}
*/

//---fin----------------------------------------------------------------------
